package com.hzjt.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.util.List;

public class GoalStructureParam {
    private Output Output;

    private int Model;

    @JsonIgnore
    private String apiout;

    private List<ImageList> ImageList;

    public void setOutput(Output Output) {
        this.Output = Output;
    }

    @JSONField(name = "Output")
    public Output getOutput() {
        return this.Output;
    }

    public void setModel(int Model) {
        this.Model = Model;
    }

    @JSONField(name = "Model")
    public int getModel() {
        return this.Model;
    }

    public void setApiout(String apiout) {
        this.apiout = apiout;
    }

    public String getApiout() {
        return this.apiout;
    }

    public void setImageList(List<ImageList> ImageList) {
        this.ImageList = ImageList;
    }

    @JSONField(name = "ImageList")
    public List<ImageList> getImageList() {
        return this.ImageList;
    }
}
